#!/bin/bash

name=tux

while read command a1 a2 a3
do
    (echo ">> command: $command"
    echo ">> a1:      $a1"
    echo ">> a2:      $a2"
    echo ">> a3:      $a3") > /dev/null # >&2
    case $command in
	HELO)
	    echo "AUTH $name Ich bin bereit\!"
	    ;;
	TURN)
	    echo -e "\t\tSpielstand ${a1}:${a2}" >&2
	    if (($RANDOM % 4 == 1))
	    then
		echo "SAVE Das reicht erstmal ..."
		active=0
	    else
		echo "ROLL Auf gut Glück!"
		active=1
	    fi
	    ;;
	THRW)
	    if [ "$active" = "1" ]
	    then
		echo "Ich habe eine $a1 gewürfelt." >&2
		if [ "$a1" = "6" ]
		then
		    echo -e "\t\tDu bist dran!" >&2
		    active=0
		fi
	    else
		echo -e "\t\t\t\tDu hast eine $a1 gewürfelt." >&2
		if [ "$a1" = "6" ]
		then
		    echo -e "\t\tIch bin dran!" >&2
		    active=1
		fi
	    fi
	    ;;
	WIN|DEF)
	    echo "Spielende: $command" >&2
	    exit 0
	    ;;
	*)
	    echo "Unbekanntes Kommando: $command" >&2
	    ;;
	esac
done
